libwpg::WPGColor Class Reference

`#include <WPGColor.h>`

## Public Member Functions

| WPGColor ()
| WPGColor (int r, int g, int b)
| WPGColor (int r, int g, int b, int a)
| WPGColor (const WPGColor &color)
WPGColor & | operator= (const WPGColor &color)
const librevenge::RVNGString | getColorString () const
double | getOpacity () const

## Public Attributes

int | red
int | green
int | blue
int | alpha

## Constructor & Destructor Documentation

## WPGColor() [1/4]

libwpg::WPGColor::WPGColor | ( |  | ) |

Referenced by WPGColor().

## WPGColor() [2/4]

libwpg::WPGColor::WPGColor | ( | int | r,
|  | int | g,
|  | int | b )

## WPGColor() [3/4]

libwpg::WPGColor::WPGColor | ( | int | r,
|  | int | g,
|  | int | b,
|  | int | a )

## WPGColor() [4/4]

libwpg::WPGColor::WPGColor | ( | const WPGColor & | color | ) |

## Member Function Documentation

## getColorString()

const librevenge::RVNGString libwpg::WPGColor::getColorString | ( |  | ) | const

Referenced by WPG1Parser::handleColormap(), WPG2Parser::handleColorPalette(), and WPG2Parser::handleDPColorPalette().

## getOpacity()

double libwpg::WPGColor::getOpacity | ( |  | ) | const

## operator=()

libwpg::WPGColor & libwpg::WPGColor::operator= | ( | const WPGColor & | color | ) |

## Member Data Documentation

## alpha

int libwpg::WPGColor::alpha

Referenced by getOpacity(), operator=(), WPGColor(), WPGColor(), WPGColor(), and WPGColor().

## blue

int libwpg::WPGColor::blue

Referenced by getColorString(), operator=(), WPGColor(), WPGColor(), WPGColor(), and WPGColor().

## green

int libwpg::WPGColor::green

Referenced by getColorString(), operator=(), WPGColor(), WPGColor(), WPGColor(), and WPGColor().

## red

int libwpg::WPGColor::red

Referenced by getColorString(), operator=(), WPGColor(), WPGColor(), WPGColor(), and WPGColor().

The documentation for this class was generated from the following files:

- WPGColor.h
- WPGColor.cpp